[php-maint] Why do I need to install apache?

sean finney seanius at debian.org
Sun Jun 28 17:17:48 UTC 2009

hi there,

On Sat, Jun 27, 2009 at 11:02:51AM +0200, GFR wrote:
> But, now, when I am going to install php modules, the process needs to
> install the complete apache suite of packages ?!  Before, this precess only
> installed apache2-utils.  You can see this here:

> alpechin:/home/godo# apt-get install php5-gd
> Leyendo lista de paquetes... Hecho
> Creando árbol de dependencias
> Leyendo la información de estado... Hecho
> Se instalarán los siguientes paquetes extras:
>   apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common
> libapache2-mod-php5 libapr1 libaprutil1 libaprutil1-dbd-mysql
>   libaprutil1-ldap libgd2-xpm libt1-5 openssl-blacklist php5 php5-common

do you not have another package the provides a php5 engine installed (i.e. this
is not a bug unless you already have php5-cgi installed).

apt-cache policy <pkg>

would be helpful for <pkg> in php5, php5-cgi, libapache2-mod-php5, php5-gd

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
URL: <http://lists.alioth.debian.org/pipermail/pkg-php-maint/attachments/20090628/08974b23/attachment.pgp>

More information about the pkg-php-maint mailing list